1050 failure to compile Java 1.1

Hello,

One different behavior since 1050 is that compiling with a 1.1.8
JDK cause a "Compiler internal error" with the information
message "Error loading class
com/intellij/rt/compiler/JavacRunner: Bad major version number".
The code compiles and runs well if change the target JDK to 1.4,
but my deployment requirement is that class files use the 1.1
format (which works well using a Ant javac 1.1 task for example).

As stated in a previous post ("Applet problems"), it seems that
compiling is getting more and more Java 1.4-dependent.

Jerome.

1 comment
Comment actions Permalink

Will be fixed in next EAP build.


--
Stanislav Davydov
JetBrains, Inc
http://www.jetbrains.com
"Develop with pleasure!"

"Jérôme Beau" <jerome.beau@libelis.com> wrote in message news:bss491$k7c$1@is.intellij.net...

Hello,

>

One different behavior since 1050 is that compiling with a 1.1.8
JDK cause a "Compiler internal error" with the information
message "Error loading class
com/intellij/rt/compiler/JavacRunner: Bad major version number".
The code compiles and runs well if change the target JDK to 1.4,
but my deployment requirement is that class files use the 1.1
format (which works well using a Ant javac 1.1 task for example).

>

As stated in a previous post ("Applet problems"), it seems that
compiling is getting more and more Java 1.4-dependent.

>

Jerome.



0

Please sign in to leave a comment.